package com.steerinfo.inPlantNavigation.controller;

import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.inPlantNavigation.model.IPMMSVertex;
import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;
import com.steerinfo.inPlantNavigation.service.IIPMMSVertexEdgeService;
import com.steerinfo.inPlantNavigation.service.IIPMMSVertexService;
import com.steerinfo.inPlantNavigation.service.impl.IPMMSVertexServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/ipmmsvertex")
public class IPMMSVertexController extends BaseRESTfulController {
    @Autowired
    private IIPMMSVertexService ipmmsVertexService;

    @Autowired
    private IIPMMSVertexEdgeService ipmmsVertexEdgeService;


    @GetMapping("/getObtainTheOptimalPath")
    public RESTfulResult getObtainTheOptimalPath(){

        Map<String, List<IPMMSVertexEdge>> vertexEdgeList= ipmmsVertexEdgeService.initVertexEdge();
        Map<String, IPMMSVertex> vertexList = ipmmsVertexService.initIPMMSVertex();
        ArrayList<IPMMSVertex> obtainTheOptimalPath= ipmmsVertexService.getObtainTheOptimalPath("2","0",vertexEdgeList,vertexList);
        return success(obtainTheOptimalPath);
    }

}